> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate conversation

> Rate the conversation (CSAT), integer 0–10.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /s2s/conversations/{conversationId}/rating
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/conversations/{conversationId}/rating:
    post:
      tags:
        - S2S Conversations
      summary: Rate conversation
      description: Rate the conversation (CSAT), integer 0–10.
      operationId: Rate
      parameters:
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/S2SConversationRatingBody'
      responses:
        '204':
          description: No Content
      security:
        - s2s: []
components:
  schemas:
    S2SConversationRatingBody:
      properties:
        rating:
          type: number
          format: double
          description: Integer 0–10.
      required:
        - rating
      type: object
      additionalProperties: false
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````